WhatsApp Use
Webhooks

Update a webhook endpoint

PATCH
/v1/webhooks/endpoints/{endpoint_id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

endpoint_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create requests must include either all_accounts: true or one or more connection_ids.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/webhooks/endpoints/string" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{  "endpoint": {    "id": "string",    "user_id": "string",    "organization_id": "string",    "url": "string",    "description": "string",    "event_types": [      "*"    ],    "all_accounts": true,    "connection_ids": [      "string"    ],    "secret": "string",    "enabled": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "deleted_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}